(function() {
	var personalDialogForm = {
		// 修改密码
		selectIndustry: function(industryid, directionid) {
			top.layer.open({
				type: 2,
				title: '<h3 class="mt15 bgc-f9f9f9">请选择行业<h3>',
				shadeClose: false,
				closeBtn: true, //显示关闭按钮
				area: ['620px', '455px'],
				content: "../../mine/html/select-industry.html?industryid=" + industryid + "&directionid=" + directionid, //iframe的url
			});
		},
		// 取消预约
		cancelAppointment: function(id) {
			return new Promise(function(resolve, reject) {
				var layerid = top.layer.confirm('<div><h3 class="c-t-center mt10">是否确认取消预约？</h3><div class="quxiaobox">取消须知：<div class="c-909090">XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</div></div></div>', {
					title: '取消预约',
					area: ['500px', '370px'],
					btn: ['确定', '取消'] //按钮
				}, function() {
					//					agentAPI.delCompany({
					//						id: companyId
					//					}).then(function(res) {
					//						if(res.successMsg == "find success") {
					//							top.toastr.success("删除成功！")
					//						} else {
					//							top.toastr.error("删除失败！")
					//						}
					//						resolve(layerid)
					//					})
					resolve(layerid)
				}, function() {

				});
			})
		},
	}

	window.personalDialogForm = personalDialogForm
})()